 @media (min-width: 999px) {

.desktop-menu{
  padding: 20px; 
  padding-top: 20px;  
  padding-bottom: 5px;
}

}

@media (max-width: 999px) {

.desktop-menu{
  display: none;
}

}

.men-desktop{
  font-size: .6vw;
  color: #fff;
}


        .icon {
            display: flex;
            align-items: flex-start;
            /* Alinha o ícone no topo */
            justify-content: center;
            /* Centraliza horizontalmente o ícone */
            margin-left: 5px;
            /* Ajuste conforme necessário */
            margin-top: 2px;
        }

        .titulo-categoria {
            width: 100%;
            background-color: #f2f2f2;
            padding: 20px;
            align-items: center;
            justify-content: center;
            text-align: center;
            margin-top: 20px;
            font-weight: bold;
            font-family: montserrat;
        }

        body{
            font-family: 'montserrat';
        }


        .isClose {
            display: none;
        }

        .faixa-lancamento {
            position: absolute;
            top: 140px;
            right: 0;
            /* Ajuste para começar fora da imagem */
            background-color: #FF4500;
            color: white;
            padding: 2px 8px;
            font-size: 8px;
            text-align: center;
            font-weight: bold;
            z-index: 2;
            /* Garante que esteja acima da imagem */
            width: 60%;
            /* Faz a faixa cobrir toda a imagem */
        }

        .produto {
            position: relative;
            /* Necessário para o posicionamento da faixa */
            overflow: hidden;
            /* Evita que a faixa ultrapasse os limites da imagem */
        }



        .fechaMenu {
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, .5);
            position: fixed;
            top: 0;
            left: 0;

            z-index: 1;
        }

        @media (min-width: 999px) {
            .mobile-menu {
                display: none;
            }

            .desktop-menu {
                background-color: #641474;
                padding: 20px;
                height: 50px;
                position: relative;
                top: 70%;
                padding-top: 20px;
                padding-bottom: 5px;
            }

            .produtos {
                max-width: 30%;
                min-width: 20%;
            }

            .imag {
                width: 120px;
                height: 120px;
            }

        }

        @media (max-width: 400px) {

            .navEnd {
                margin-left: -15px;
                width: 50%;
            }


            .navbar-brand {
                margin-right: -30px;
                width: 47%;
            }

        }
        
        @media (max-width: 999px) {

            .mobile-menu {
                display: show;
                position: relative
            }

            .desktop-menu {
                display: none;
            }

            .produtos {
                max-width: 50%;
                padding: 10px;
            }

        }

        .top-bar-promocao {
            margin: 0 auto;
            position: absolute;
            width: 40px;
            height: 40px;
            bottom: 25px;
            top: -6px;
            background-color: #2b2a59;
            border-radius: 45px;
            color: #fff;
            text-align: center;
        }

        .desconto {
            position: absolute;
            left: 25%;
            top: 18%;
            font-size: 12px;
            color: #fff;

        }

        .porcento {
            position: absolute;
            left: 18%;
            top: 46%;
            font-size: 12px;
            color: #fff;

        }

        @media only screen and (max-width: 900px) {
            .titulo-categoria {
                display: none;
            }

            .caminho-sessao {
                margin-top: 10px;
                font-size: 13px;
                display: flex;
                align-items: center;
                color: #ccc;
                /* Cor cinza claro */
                ;
                margin-bottom: 10px;
                font-family: montserrat;
            }
        }

        a {
            text-decoration: none;
            color: inherit;
        }

        @media only screen and (min-width: 900px) {
            .caminho-sessao {
                margin-top: 20px;
                font-size: 13px;
                display: flex;
                align-items: center;
                color: #ccc;
                /* Cor cinza claro */
                ;
            }

            .produtos {
                max-width: 20%;
                /* Define a largura para 45% da tela em dispositivos móve*/
            }


            .desktop-menu {
                padding: 20px;
                padding-top: 20px;
                padding-bottom: 5px;
            }

        }

        /* Overlay que cobre a tela inteira */
        #overlay {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.7);
            /* Cor escura com opacidade */
            display: none;
            /* Oculto por padrão */
            z-index: 9;
            /* Abaixo do menu */
        }

        #overlay.active {
            display: block;
            /* Exibe o overlay */
        }


        * {
            box-sizing: border-box;
        }
        body {
            margin: 0;
        }
        .container-produtos {
            max-width: 1100px; /* Define a largura máxima da div */
            margin: 0 auto; /* Centraliza a div horizontalmente */
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between; /* Alinha os elementos nos dois lados */
            align-items: flex-start; /* Alinha os elementos no topo */
            padding: 20px;
        }
        .produtos {
            padding: 10px;
            margin-bottom: 20px;
            border-radius: 2px;
        }
        
        #seletor-ordenar option{
            font-family: montserrat;
        }
        
        #seletor-ordenar{
            font-family: montserrat;
        }
        
        
        .produto {
            margin-bottom: 20px;
            padding-bottom: 20px;
            border-bottom: 1px solid #ddd;
        }
        .produto img {
            width: 100%;
            border-radius: 8px 8px 0 0;
        }
        .produto-info {
            padding: 10px 0;
        }
        .produto-info h3 {
            margin: 0;
        }
        .produto-info p {
            margin: 5px 0;
        }
        .botao-comprar {
            display: block;
            width: 100%;
            padding: 10px;
            text-align: center;
            color: #fff;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }
        .ordenar {
            margin-right: 20px; /* Adiciona margem à direita para separar da lista de produtos */
        }
        
        .ordenar h2{
            font-size: 14px; /* Adiciona margem à direita para separar da lista de produtos */
            font-weight: bold;
        }
        
        
        .select-filtro {
            display: none; /* Oculta o select por padrão */
        }
        
        .produtos {
                width: 70%; /* Define a largura para 45% da tela em dispositivos Desktop */
            }
            
        .produtos-novos{
             width: 70%; /* Define a largura para 45% da tela em dispositivos Desktop */
        }
            
            
  .ordenar {
                flex-basis: 100%; /* Define a largura total para dispositivos móveis */
                margin: 0; /* Remove a margem */
                margin-bottom: 20px; /* Adiciona margem na parte inferior para dispositivos móveis */
            }
            .checkbox-filtro {
                display: none; /* Oculta os checkboxes em dispositivos móveis */
            }
            .select-filtro {
                display: block; /* Mostra o select em dispositivos móveis */
                font-size:13px;
            }          
            
        @media only screen and (max-width: 900px) {
            .container-sessao {
                max-width: 100%; /* Define a largura máxima como 100% para dispositivos móveis */
                padding: 10px; /* Reduz o padding para dispositivos móveis */
                align-items: center; /* Alinha os elementos ao centro verticalmente */
            }
            .produtos {
                width: 45%; /* Define a largura para 45% da tela em dispositivos móveis */
                padding: 0;
            }
            .ordenar {
                flex-basis: 100%; /* Define a largura total para dispositivos móveis */
                margin: 0; /* Remove a margem */
                margin-bottom: 20px; /* Adiciona margem na parte inferior para dispositivos móveis */
            }
            .checkbox-filtro {
                display: none; /* Oculta os checkboxes em dispositivos móveis */
            }
            .select-filtro {
                display: block; /* Mostra o select em dispositivos móveis */
            }
        }
        
        .produtos-novos-container .produto {
    margin-bottom: 20px;
    padding-bottom: 20px;
    border-bottom: 1px solid #ddd;
}

.produtos-novos-container .produto img {
    width: 100%;
    border-radius: 2px 2px 0 0;
}

.produtos-novos-container .produto-info {
    padding: 10px 0;
}

.texto{
    font-family: montserrat;
}

.valor{
    font-family: montserrat;
    font-size: 14px;
}

.readmoreadd1{
    border: none;
    font-size: 11px;
    border-radius: 3px;
    font-family: montserrat;
}

.produtos-novos-container .produto-info h3 {
    margin: 0;
}

.produtos-novos-container .produto-info p {
    margin: 5px 0;
    font-size: 13px;
    font-family: montserrat;
}

.produtos-novos-container .botao-comprar {
    display: block;
    width: 100%;
    padding: 10px;
    text-align: center;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.ordenar {
    margin-right: 20px; /* Adiciona margem à direita para separar da lista de produtos */
    align-self: flex-start; /* Mantém o elemento alinhado à esquerda */
}

.produtos-novos-container {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }


    .container-sessao {
        display: flex;
        flex-direction: column; /* As divs internas são empilhadas verticalmente */
    }

    .inner-container {
        display: flex;
        flex-direction: column; /* As divs internas são empilhadas verticalmente */
    }

    .div1, .div2 {
        padding: 20px;
        box-sizing: border-box;
    }

    @media screen and (min-width: 900px) {
        .inner-container {
            flex-direction: row; /* As divs internas são dispostas lado a lado em telas maiores */
        }
        .div1 {
            flex: 0 0 20%; /* Ambas as divs internas ocupam o mesmo espaço disponível */
        }
        
        .div2 {
            flex: 1; /* Ambas as divs internas ocupam o mesmo espaço disponível */
            padding-top: 20px;
        }
        
        
        .container-sessao {
            margin-top: 25px;
        }
        
        .inner-container{
            margin-top: 30px;
        }
        
    }

    @media screen and (max-width: 900px) {
        .div2{
            width: 98.5vw; /* Em telas menores que 900 pixels, as divs ocupam 100% da largura */
            /*margin-right: 5px; /* Remover margem anterior */
            margin-bottom: 10px; /* Adiciona margem inferior para separação visual */
            padding: 5px;
        }
        
        .div1{
            width: 98.5vw; /* Em telas menores que 900 pixels, as divs ocupam 100% da largura */
            margin-right: 5px; /* Remover margem anterior */
            margin-bottom: 10px; /* Adiciona margem inferior para separação visual */
        }
        
    }
    
    
    /* Estilos para o overlay de fundo */
        #loading-overlay {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5); /* Cor de fundo semi-transparente */
            z-index: 9998; /* Garante que fique abaixo do indicador de carregamento */
            display: none; /* Esconde por padrão */
        }

        /* Estilos para o indicador de carregamento */
        #loading-indicator {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            color: white;
            font-size: 24px;
            z-index: 9999; /* Garante que fique acima do overlay de fundo */
        }

